## lxc 1.0.6

=== debian/changelog ===
lxc (1:1.0.6-6) unstable; urgency=low

  * Use http.debian.net instead of cdn.debian.net (Closes: #774204,
    #774472).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 05 Jan 2015 19:24:35 +0100

lxc (1:1.0.6-5) unstable; urgency=low

  * Mounting /sys read-only in lxc-debian to prevent (one way of) escaping
    containers (Closes: #770901).
  * Adding patch from lxc 1.0.7 to make lxc-debian work with systemd
    (Closes: #766216).
  * Adding patch from lxc 1.0.7 to make lxc-debian handle switch of
    initsystem better.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 06 Dec 2014 13:00:36 +0100

lxc (1:1.0.6-4) unstable; urgency=low

  * Marking -t option in lxc-create manpage as required (Closes: #768778).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Nov 2014 19:57:58 +0100

lxc (1:1.0.6-3) unstable; urgency=low

  * Preserving setuid on lxc-user-nic (Closes: #764815).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 13 Oct 2014 20:44:15 +0200

lxc (1:1.0.6-2) unstable; urgency=low

  * Correcting automatic lua:Suggests generation.
  * Adding openssl to recommends since upstreams lxc-debian template
    uses openssl for mac generation.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 07 Oct 2014 09:42:36 +0200

lxc (1:1.0.6-1) unstable; urgency=low

  * Merging upstream version 1.0.6.
  * Refreshing sysvinit-lsb-functions.patch.
  * Updating to standards version 3.9.6.
  * Setting options for systemd in debian.common.conf (Closes: #761196,
    #761197).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Sep 2014 12:04:40 +0200

lxc (1:1.0.5-3) unstable; urgency=low

  * Dropping fixes for prefix in systemd unit file, not needed anymore.
  * Moving debootstrap to recommends.
  * Moving lua to suggests.
  * Adding lua suggests for non-debian system.
  * Showing warning when lxc is used on systemd with cgroups mounted in
    /etc/fstab (Closes: #760357).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 04 Sep 2014 04:30:47 +0200

lxc (1:1.0.5-2) unstable; urgency=low

  * Using and build-depending on dh-systemd (Closes: #758628).
  * Rewording changelog entry about merging upstream version 1.0.5.
  * Marking removal of lxc-top due to missing lua-alt-getopt in rules as
    debian only.
  * Dropping special handling of lxc-debian on progress-linux.
  * Renaming debian-config.patch to lxc-debian-fuse.patch.
  * Renaming lxc-sysvinit.patch to sysvinit-directory.patch.
  * Renaming lsb-init-headers.patch to sysvinit-lsb-headers.patch.
  * Renaming lsb-init-functions.patch to sysvinit-lsb-functions.patch.
  * Renaming lxc-init-lock.patch to sysvinit-lsb-lock.patch.
  * Renaming lxc-sigint.patch to lxc-attach-sigint.patch.
  * Adding references to upstreams bug tracker in all patches.
  * Adding patch from Ondřej Surý <ondrej@debian.org> to change
    PermitRootLogin yes to PermitRootLogin without-password in sshd_config
    (Closes: #758647).
  * Adding patch to set random root password in lxc-debian (Closes:
    #758643).
  * Removing /etc/default/lxc for upgrades of wheezy to jessie (Closes:
    #758800).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 21 Aug 2014 15:54:58 +0200

lxc (1:1.0.5-1) unstable; urgency=low

  * Due to 'popular demand', dropping Debian custom additions and shipping
    an (almost) vanilla lxc package in Debian from now on.
  * Removing Jonas from uploaders, thanks for your past support.
  * Dropping lxc-dev, according to ftp-master this is not acceptable
    anymore without having split out library package.
  * Merging upstream version 1.0.5 (Closes: #757326).
  * Refreshing lsb-init-functions.patch.
  * Refreshing debian-config.patch.
  * Adding debootstrap to suggests.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Aug 2014 12:55:27 +0200

lxc (1.1.0~alpha1-5) unstable; urgency=low

  * Updating default mirrors in preseed files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 29 Jul 2014 00:02:50 +0200

lxc (1.1.0~alpha1-4) unstable; urgency=low

  * Correcting syntax typo in lxc-stuff postinst.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Jul 2014 16:16:29 +0200

lxc (1.1.0~alpha1-3) unstable; urgency=low

  * Switching parent distribution for cairon to jessie.
  * Adding support for LTS repos.
  * Using relative mountpoints for data directories.
  * Updating preseed files.
  * Replacing /etc/mtab with a symlink to /proc/self/mounts.
  * Refreshing manpages.
  * Overwrite container config file when creating new containers.
  * Adjusting lxc directory automatically in debconf handling.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Jul 2014 11:39:29 +0200

lxc (1.1.0~alpha1-2) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding pre-start hook to remove /run files within container.

  [ Nik Lutz ]
  * Mount a tmpfs on containers /run and /dev/shm directories, newer
    systemd (jessie/wheezy-backports) require these directories to be
    mountpoints.

  [ Daniel Baumann ]
  * Ordering mountpoints in systemd-container hook.

  [ Nik Lutz ]
  * Moving execution of late-host-command from Configure_system() to
    Copy_configuration() to be able to adjust the config file via late-
    host-command.

  [ Daniel Baumann ]
  * Trimming lxc.pts in lxc-debconfig.
  * Allowing mac values to be set to none in lxc-debconfig in order to not
    set any mac address in config.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 Jul 2014 09:57:50 +0200

lxc (1.1.0~alpha1-1) unstable; urgency=low

  * Merging upstream version 1.1.0~alpha1.
  * Refreshing lsb-init-functions.patch.
  * Refreshing debian-config.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 08 Jul 2014 18:45:01 +0200

lxc (1.0.4-4) unstable; urgency=low

  * Also dropping dac_read_search cap by default.
  * Running subscripts with nowarnings for debconf.
  * Overwriting resolv.conf when updating intermedate system from cache
    with host resolv.conf, solves issues where cache is outdated or

