## lxc 1.0.8

=== debian/changelog ===
lxc (1.0.8-0ubuntu0.3~ctools0) precise; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 14 Dec 2015 14:24:35 -0500

lxc (1.0.8-0ubuntu0.3) trusty; urgency=medium

  * Cherry-pick from upstream:
    - Fix preserve_ns to work on < 3.8 kernels. (LP: #1516971)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Nov 2015 13:42:07 -0500

lxc (1.0.8-0ubuntu0.2) trusty; urgency=medium

  * Cherry-pick from upstream:
    - Fix ubuntu-cloud template to detect compression algorithm instead
      of hardcoding xz. Also update list of supported releases and use trusty
      as the fallback release. (LP: #1515463)
  * Update lxc-tests description to make it clear that this package is
    meant to be used by developers and by automated testing.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 13 Nov 2015 12:53:17 -0500

lxc (1.0.8-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release. (MRE tracking bug: LP: #1514623)
    (LP: #1429140)
    - Changelog at: https://linuxcontainers.org/lxc/news/
  * Drop proxy detection from the autopkgtest exercise script.
  * Add patch:
    - 0001-Trusty-Swap-out-the-CVE-2015-1335-fix-with-the-trust.patch
      This is a patch by Serge Hallyn to cope with the trusty 3.13 kernel.
      It updates the upstream CVE fix to the version which trusty ended
      up with after the few round of fixes.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 09 Nov 2015 18:15:31 -0500

lxc (1.0.7-0ubuntu0.10) trusty; urgency=medium

  * Update the /proc/self/mountinfo no-symlink verification to accomodate
    recursive mounts.  (LP: #1509752)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 28 Oct 2015 12:21:38 -0500

lxc (1.0.7-0ubuntu0.9) trusty; urgency=medium

  * Update previous patch to include some extra apparmor rules.
    (LP: #1504781)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 14 Oct 2015 13:59:48 -0700

lxc (1.0.7-0ubuntu0.8) trusty; urgency=medium

  * Update AppArmor profile from stable-1.0 branch which should fix the
    current test failures with the proposed 3.13 kernel. (LP: #1504781)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 14 Oct 2015 09:04:17 -0700

lxc (1.0.7-0ubuntu0.7) trusty-security; urgency=medium

  * REGRESSION FIX UPDATE:
    - Avoid /./ (LP: #1501491)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 30 Sep 2015 15:41:40 -0500

lxc (1.0.7-0ubuntu0.6) trusty-security; urgency=medium

  * Fix breakage of some configurations where // ends up in the mount
    target.  (LP: #1501310) (LP: #1476662)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 30 Sep 2015 10:38:14 -0500

lxc (1.0.7-0ubuntu0.5) trusty-security; urgency=medium

  * SECURITY UPDATE: Arbitrary host file access and AppArmor
    confinement breakout via lxc-start following symlinks while
    setting up mounts within a malicious container (LP: #1476662).
    - debian/patches/0003-CVE-2015-1335.patch: block mounts to paths
      containing symlinks and block bind mounts from relative paths
      containing symlinks. Patch from upstream.
    - CVE-2015-1335

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 22 Sep 2015 15:07:00 -0700

lxc (1.0.7-0ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file creation via unintentional symlink
    following when accessing an LXC lock file (LP: #1470842)
    - debian/patches/0001-CVE-2015-1331.patch: Use /run/lxc/lock, rather than
      /run/lock/lxc, as /run and /run/lxc is only writable by root. Based on
      patch from upstream.
    - CVE-2015-1131
  * SECURITY UPDATE: Container AppArmor/SELinux confinement breakout via
    lxc-attach using a potentially malicious container proc filesystem to
    initialize confinement (LP: #1475050)
    - debian/patches/0002-CVE-2015-1334.patch: Use the host's proc filesystem
      to set up AppArmor profile and SELinux domain transitions during
      lxc-attach. Based on patch from upstream.
    - CVE-2015-1334

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 17 Jul 2015 10:58:00 -0500

lxc (1.0.7-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release. (MRE tracking bug: LP: #1404039)
    - Changelog at: https://linuxcontainers.org/lxc/news/
  * Update debian/rules apparmor handling to match Ubuntu 14.10

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 18 Dec 2014 17:50:38 -0500

lxc (1.0.6-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release. (MRE tracking bug: LP: #1373619)
    - Changelog at: https://linuxcontainers.org/news/

  * Include the SELinux examples.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Sep 2014 16:48:10 -0400

lxc (1.0.5-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release. (MRE tracking bug: LP: #1341638)
    - Changelog at: https://linuxcontainers.org/news/

  * Sync packaging with utopic:
    - Enable ppc64el adt as we now have ppc64el images available for download.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Jul 2014 11:49:20 -0400

lxc (1.0.4-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release. (MRE trackaging bug LP: #1329932)
    - Drop all existing patches (all applied upstream).
    - Fix lxc-attach failing from a different login session. (LP: #1315052)
    - Fix wrong cgroup on login to container. (LP: #1315521)

  * Cherry-pick upstream (stable branch) commits to fix testsuite under adt:
    - tests: Avoid the download template when possible
    - tests: Don't fail when HOME isn't defined
    - tests: apparmor: Always end with a newline

  * Sync packaging with utopic:
    - Depend on either cgmanager or cgroup-lite and recommend cgmanager.
      This should ensure systems get cgmanager by default even if cgroup-lite
      is already installed, yet makes it possible for the user to remove
      cgmanager if they really want to.
    - Remove hardcoded dependency on apparmor, instead generate it from
      rules so that the source package can be backported without changes (the

