=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                debhelper (>= 9),
                dh-apparmor,
                dh-autoreconf,
+               dh-systemd,
                docbook2x,
                hardening-wrapper,
                libapparmor-dev,
@@ -105,9 +106,7 @@
  created using the Control Group and Namespace features included in the Linux
  kernel.
  .
- This package contains the test binaries. Those binaries are primarily
- used for autopkgtest and by some developers. They are not meant to be
- installed on regular user systems.
+ This package contains the test binaries.
 
 Package: liblxc1
 Architecture: linux-any
