=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 PY3V := $(filter-out $(shell py3versions -vd),$(shell py3versions -vr))
 
 %:
-	dh ${@} --with autotools_dev,autoreconf,python3
+	dh ${@} --with autotools_dev,autoreconf,python3,systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
