## lxc 1.1.2

=== debian/changelog ===
lxc (1.1.2-0ubuntu3) vivid; urgency=medium

  * Cherry-pick a bunch of bugfixes:
    - 81216170c1c2555498573e9fe200e20d3b433b14 fix integer overflow in setproctitle
    - e310e136b9de89c9f8596c004afa217f308aea3d c/r: no double fclose() of mnts
    - 216113e77331881d3c45bd4e141a4f458c9a4565 fix NULL dereference
    - 53caaac80f6850287251cc5e3a02479fb4a27087 fix dead code
    - 8721f7f43185208e0c1802ff2bc03108fd3e3204 lxc-fedora: manage secondary architectures
    - 3149bd4c0e81973b3db2e1230bd1784dc222a4ed don't compare unsigned values as negative ones
    - 17f48b9679b2bb6d4e5d156fa59e6399f82277d9 Revert (by hand) "logs: introduce a thread-local 'current' lxc_config"

  Those combined will make LXD pass its testsutie (fixing threading bugs).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 14 Apr 2015 18:39:15 -0500

lxc (1.1.2-0ubuntu2) vivid; urgency=medium

  * Cherry-pick a fix from upstream to resolve invalid command message
    on container stop.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 13 Apr 2015 17:02:41 -0500

lxc (1.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release (1.1.2)
    - Drop all patches (all upstream now)
    - Fix checkpoint/restore of vivid containers
    - Fix unprivileged containers under systemd
    - Fix a few race conditions and hangs
    - Update manpages

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 10 Apr 2015 15:24:50 -0400

lxc (1.1.1-0ubuntu4) vivid; urgency=medium

  * Cherry-pick fix for lxc-test-apparmor:
    - fad5004627bebe251228450a8a086500d803b9e4

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 06 Apr 2015 12:32:31 -0400

lxc (1.1.1-0ubuntu3) vivid; urgency=medium

  * Add lxcfs as a test dependency of lxc.
  * Reload apparmor at configure time if the profile helper script isn't
    around and apparmor appears to be installed (ignore errors).

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 30 Mar 2015 12:49:37 -0400

lxc (1.1.1-0ubuntu2) vivid; urgency=medium

  * Cherry-pick fix for attach when stdin isn't a tty:
    - d3b6301135280d21d0c1c7d427e1c587b3177b69

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 17 Mar 2015 15:51:09 -0400

lxc (1.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release (1.1.1)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 Mar 2015 17:09:54 -0400

lxc (1.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 30 Jan 2015 14:17:14 +0100

lxc (1.1.0~rc4-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~rc4)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 30 Jan 2015 00:04:05 +0100

lxc (1.1.0~rc3-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~rc3)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Jan 2015 23:35:01 +0100

lxc (1.1.0~rc2-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~rc2)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 25 Jan 2015 15:55:35 -0500

lxc (1.1.0~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~rc1)
  * Add lxcfs to lxc-templates recommends. (MIR: #1413405)
  * Build the lua-lxc binding. (MIR: #1413402)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Jan 2015 17:34:45 -0500

lxc (1.1.0~alpha3-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~alpha3)
    - Drop all patches, they are now all upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 03 Dec 2014 15:31:34 -0500

lxc (1.1.0~alpha2-0ubuntu7) vivid; urgency=medium

  * Cherrypick 0010-apparmor-check-for-mount-feature-at-a-better-time.patch
    from upstream to fix startup failure with certain setups (LP: #1386840)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 11 Nov 2014 14:54:44 -0600

lxc (1.1.0~alpha2-0ubuntu6) vivid; urgency=medium

  * 0009-attach-dont-ignore-sigint-sigkill-if-stdin-is-redirected: cherrypick
    an upstream patch needed to keep lxd from being exited with ctrl-c after
    a lxc shell.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 07 Nov 2014 15:58:58 +0100

lxc (1.1.0~alpha2-0ubuntu5) vivid; urgency=medium

  * cherrypick 0008-cgmanager-fix-attach-with-all-controller from upstream to
    fix regression in attaching to containers.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 03 Nov 2014 17:22:53 +0100

lxc (1.1.0~alpha2-0ubuntu4) vivid; urgency=medium

  * install lxc-restore-net to /usr/share so that it doesn't get overmounted by
    the rootfs in preparation for restore.  (LP: #1384751)

 -- Tycho Andersen <tycho.andersen@canonical.com>  Mon, 27 Oct 2014 19:36:21 -0500
