## lxc 1.1.4

=== debian/changelog ===
lxc (1.1.4-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release (1.1.4)
    - This fixes CVE-2015-1335 (LP: #1476662)
    - Detailed changelog at: https://linuxcontainers.org/lxc/news

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 06 Oct 2015 15:45:15 +0100

lxc (1.1.3-0ubuntu2) wily; urgency=medium

  * Build using libseccomp on all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 21:02:39 +0200

lxc (1.1.3-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release (1.1.3)
    - Drop all patches (all upstream now)
  * Drop lxc-restore-net from lxc.install as it's no longer needed by CRIU.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 14 Aug 2015 19:45:30 -0400

lxc (1.1.2-0ubuntu5) wily; urgency=medium

  * debian/rules: call dh_systemd_start --no-restart-on-upgrade (LP: #1476691)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 23 Jul 2015 09:35:12 -0500

lxc (1.1.2-0ubuntu4) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 19:00:00 +0000
